All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
amg_debug.hpp File Reference

Debug functionality for AMG. To be removed. More...

`#include <iostream>`
`#include "viennacl/io/matrix_market.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.
| viennacl::linalg::detail::amg
| Implementation namespace for algebraic multigrid preconditioner.

## Macros

#define | VIENNACL_AMG_MATRIXTYPE MatrixType

## Functions

template<typename MatrixT >
void | viennacl::linalg::detail::amg::printmatrix (MatrixT &, int)
template<typename VectorT >
void | viennacl::linalg::detail::amg::printvector (VectorT const &)

## Detailed Description

Debug functionality for AMG. To be removed.

AMG code contributed by Markus Wagner

Definition in file amg_debug.hpp.

## Macro Definition Documentation

#define VIENNACL_AMG_MATRIXTYPE MatrixType

Definition at line 33 of file amg_debug.hpp.